package org.apache.slide.projector.processor.form;

import java.util.Map;

import org.apache.commons.contract.Context;
import org.apache.commons.contract.Result;
import org.apache.slide.projector.processor.TemplateRenderer;

/**
 * @version $Revision: 1.5 $
 */

public class ErrorNumber extends TemplateRenderer {
    private final static String FRAGMENT = "error-number";

    public ErrorNumber() {
        setRequiredFragments(new String[] { FRAGMENT });
    }

    public Result process(Map parameter, Context context) throws Exception {
        return new Result(OK, OUTPUT, renderFragment(FRAGMENT, parameter));
    }
}